Како да ги инсталирате нашите пакети LMDE за 3 секунди

Искористување на неодамнешна статија за што објавив mintbackup, Сакам да ви покажам три лесни начини за повторно инсталирање на пакетите што ги користиме кога повторно ги инсталираме нашите ЛМДЕ.

Всушност, освен за првата форма, другите може да се користат и во Debianкако во Ubuntu.

Инсталација за 3 секунди

Графички.

Ова е начинот на кој најмногу се допаѓа, сите графички и без да треба да се допира терминал. Во ЛМДЕ y Linuxmint, има чудесната алатка наречена mintbackup, што меѓу другото, можеме да го искористиме за да ги зачуваме нашите пакети и подоцна, да ги инсталираме повторно.

Во случај на ЛМДЕ, ако го ажурираме пакетот питон-ап до верзијата 0.8.0, нема да можеме да ја користиме mintbackup поради проблем на зависност. Returnе ја врати следнава грешка:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Се надевам дека момците од Нане поправете го наскоро.

Преку терминалот.

Преку конзолата можеме да го сториме тоа на 2 начина, што на крајот беше исто.

Во 2 чекори.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Откако ќе имаме пристап до складиштата и сè е конфигурирано и ажурирано, само треба да го поставиме ова:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

Во 3 чекори.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

По повторното инсталирање, го извршуваме ова:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

И тогаш трчаме:

apt-get -u dselect-upgrade

Мислам дека е непотребно да се разјасни дека мора да ги правиме складиштата правилно конфигурирани .. Едноставно, нели?


Содржината на статијата се придржува до нашите принципи на уредничка етика. За да пријавите грешка, кликнете овде.

8 коментари, оставете ги вашите

Оставете го вашиот коментар

Вашата е-маил адреса нема да бидат објавени.

*

*

  1. Одговорен за податоците: Мигел Анхел Гатон
  2. Цел на податоците: Контролирајте СПАМ, управување со коментари.
  3. Легитимација: Ваша согласност
  4. Комуникација на податоците: Податоците нема да бидат соопштени на трети лица освен со законска обврска.
  5. Складирање на податоци: База на податоци хостирани од Occentus Networks (ЕУ)
  6. Права: Во секое време можете да ги ограничите, вратите и избришете вашите информации.

  1.   Храброст dijo

    Или, исто така, ги запишувате сите програми што сте ги имале претходно и што ги правите

    sudo apt-get -y не ги содржи сите пакети кои се избришани

    Јас навистина не знам дали LMDE ја има истата цел како Linux MInt, да биде надвор од кутијата

    1.    Храброст dijo

      * инсталирај

  2.   Хокасито dijo

    Иако е малку „надвор од темата“, сакав да предупредам дека кандидатите за ослободување излегоа во Linux Mint Debian 201108 за GNOME и XFCE. Се надевам дека се направени доста подобрувања… 🙂

    1.    елав <° Linux dijo

      Па, да, што се случува кога оваа одлична вест беше објавена, ние бевме оф-лајн .. Ви благодариме.

  3.   митлови dijo

    Само што те открив и БЛАГОДАРАМ.
    Вчера го инсталирав 64-битниот LMDE и добро се снаоѓам, но имам 2 мали нешта за откривање-

    1– Најавете се како root во графички режим

    2.- Поставете VLC како стандарден плеер за видео

    Мислам дека би го добил од контролниот панел за претпочитани апликации или со отворање со друга апликација / стандардно користејќи ја оваа апликација. Најавени се како root.

    Направив sudo nautilus за секој случај и воопшто ништо.

    ПС1: Во 64 бита ако абекот на пакетите работи добро.
    ПС2: Исто така, треба да инсталирам MAME SDL и неодамнешното вино64 за кое би сакал да има ppa, бидејќи конфигурирањето на програмите подоцна не ги ажурира автоматски.
    PS3: Јас го користам AMD beta двигателот AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, за да ги видите геолокациските серии во Firefox, Chrome - што треба да се инсталира -, Firefox Flash-помош со 64-битен Flash, Zindus, Qbittorrent, Opera, проширувањето aletras.oxt и скриптата за прибирање за да се контролира вишокот RAM меморија на задачата тоа исто така заслужува коментар од вас.

    Со нетрпение го чекам петтиот дел од упатството со овие и / или други предлози

  4.   ЈАДЕ СО dijo

    ¡Хола!
    Едно, треба да ја смениме првата врска што ја испраќа статијата за MintBackup до оваа: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Не знам зошто, се поврзува со поддиректориум "/ wp-content / themes" ...

    1.    КЗКГ ^ Гаара dijo

      Готово, коригирано

  5.   Наум dijo

    Здраво, бидејќи претходната верзија на LMDE amd64 имав проблеми со скршени пакети и грешки при вчитување складишта, пробав многу решенија и ниту едно не работи… Не знам што да правам повеќе, сакав да инсталирам Gnome-shell и не ми дозволи затоа што пакетот е расипан. Видов како да ги решите скршените пакети со команди како: sudo dpkg –purge –force-remove-reinstreq

    и ја добивам следнава грешка:

    dpkg: грешка: –purge бара барем едно име на пакетот како параметар

    Напишете dpkg - помош за помош при инсталирање и деинсталирање на пакети [*];
    Користете „dselect“ или „aptency“ за попријателско управување со пакетот;
    Внесете dpkg -Помогнете за список со поставки за грешки во dpkg;
    Напишете dpkg –сила-помош за список на опции за присилување на работите;
    Напишете dpkg-deb –помогнете за помош при манипулирање со .deb датотеки;

    Опциите обележани со [*] произведуваат долг излез,
    Филтрирајте го со „помалку“ или со „повеќе“!

    ако некој може да ми помогне во ова